%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           python-sqlamp
Version:        0.5.2
Release:        3%{?dist}
Summary:        Library for working with hierarchical data structures using SQLAlchemy

Group:          Development/Languages
License:        BSD
URL:            http://sqlamp.angri.ru/
Source0:        http://sqlamp.angri.ru/sqlamp-%{version}.tar.gz
Patch0:         sqlite-3.6.x-bug-workaround.patch
Patch1:         sa-0.7.2-compatibility.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires: python-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-sqlalchemy
BuildRequires: python-nose
BuildRequires: python-sphinx

Requires: python-sqlalchemy >= 0.5

%description
sqlamp is an implementation of an efficient algorithm for working
with hierarchical data structures. sqlamp uses (and depends on) SQLAlchemy.

%prep
%setup -q -n sqlamp-%{version}
%patch0 -p1 -b .sqlite36x
%patch1 -p1 -b .sa72

%build
%{__python} setup.py build

# generate docs
pushd doc
PYTHONPATH=../build/lib:$PYTHONPATH make html
rm _build/html/objects.inv
rm -rf _build/doctrees 
rm _build/html/.buildinfo 
popd

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%check
DB_URI="sqlite:///:memory:" %{__python} setup.py test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/_build/html
%doc LICENSE

%{python_sitelib}/sqlamp/
%{python_sitelib}/sqlamp*.egg-info/


%changelog
* Thu Dec 01 2011 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-3
- Backported support for SA 0.7.2 from 0.6 branch of sqlamp

* Mon Mar 28 2011 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-2
- Fixed support of SQLAlchemy 0.6.6 in MPOptions.order_by_clause(). Patch by Josip Delic.
- Workaround for bug in sqlite 3.6.x (problems with binding two integer attributes). Initial patch by Josip Delic.

* Tue Dec 14 2010 Martin Bacovsky <mbacovsk@redhat.com> - 0.5.2-1
- Initial package
